{
  "custom": {},
  "params": {
    "configuring": false,
    "label": "None ",
    "tagPath": "",
    "title": "Tag Label"
  },
  "propConfig": {
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.tagPathIn \u003d viewParams.tagPath\n\t\tconfigParams.titleIn \u003d viewParams.title\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.tagPath \u003d configParams.tagPathOut\n\t\tviewParams.title \u003d configParams.titleOut"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.label": {
      "binding": {
        "config": {
          "path": "view.params.tagPath"
        },
        "transforms": [
          {
            "code": "\tunits \u003d \u0027\u0027\n\t\t\n\ttags \u003d system.tag.getConfiguration(value)\n\t\n\tfor tagDict in tags:\n\t\t\n\t\tif tagDict.has_key(\u0027engUnit\u0027):\n\t\t\tunits \u003d  tagDict[\u0027engUnit\u0027]\n\t\n\tvalue \u003d system.tag.readBlocking([value],1000)[0].value\n\treturn str(value) + \u0027 \u0027 + units",
            "type": "script"
          }
        ],
        "type": "property"
      },
      "paramDirection": "inout",
      "persistent": true
    },
    "params.tagPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 200,
      "width": 200
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "engUnitsOut": "",
            "tagPathIn": "",
            "tagPathOut": "",
            "titleIn": "",
            "titleOut": ""
          },
          "path": "Page/Widgets/Configuration/Tag Tree"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "title"
            },
            "position": {
              "shrink": 0
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "expression": "coalesce({view.params.title},\u0027\u0027)!\u003d\u0027\u0027"
                  },
                  "type": "expr"
                }
              },
              "props.params.text": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "path": "Page/Embedded/Widget Title"
            },
            "type": "ia.display.view"
          },
          {
            "meta": {
              "name": "Label"
            },
            "position": {
              "basis": "134px",
              "grow": 1
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.label"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "classes": "Label/labelBody"
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "direction": "column"
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}